class LiveCarePendingListRequest {
  PatientData? patientData;
  int? doctorID;
  String? sErServiceID;
  int? projectID;
  int? sourceID;

  LiveCarePendingListRequest(
      {this.patientData,
      this.doctorID,
      this.sErServiceID,
      this.projectID,
      this.sourceID});

  LiveCarePendingListRequest.fromJson(Map<String, dynamic> json) {
    patientData = new PatientData.fromJson(json['PatientData']);

    doctorID = json['DoctorID'];
    sErServiceID = json['SErServiceID'];
    projectID = json['ProjectID'];
    sourceID = json['SourceID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['PatientData'] = this.patientData!.toJson();
    data['DoctorID'] = this.doctorID;
    data['SErServiceID'] = this.sErServiceID;
    data['ProjectID'] = this.projectID;
    data['SourceID'] = this.sourceID;
    return data;
  }
}

class PatientData {
  bool? isOutKSA;

  PatientData({this.isOutKSA});

  PatientData.fromJson(Map<String, dynamic> json) {
    isOutKSA = json['IsOutKSA'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['IsOutKSA'] = this.isOutKSA;
    return data;
  }
}
